Main Page Modules Data Structures File List Data Fields Globals Related Pages

# python/rpmmodule.c File Reference

More...

`#include "system.h"`
`#include "Python.h"`
`#include <rpmcli.h>`
`#include <rpmdb.h>`
`#include "legacy.h"`
`#include "misc.h"`
`#include "header_internal.h"`
`#include "upgrade.h"`
`#include "header-py.h"`
`#include "rpmal-py.h"`
`#include "rpmds-py.h"`
`#include "rpmfd-py.h"`
`#include "rpmfi-py.h"`
`#include "rpmmi-py.h"`
`#include "rpmrc-py.h"`
`#include "rpmte-py.h"`
`#include "rpmts-py.h"`
`#include "debug.h"`

Go to the source code of this file.

## Module: rpm
PyObject * | archScore (PyObject *self, PyObject *args)
int | psGetArchScore (Header h)
int | pkgCompareVer (void *first, void *second)
void | pkgSort (struct pkgSet *psp)
PyObject * | findUpgradeSet (PyObject *self, PyObject *args)
void | errorcb (void)
PyObject * | errorSetCallback (PyObject *self, PyObject *args)
PyObject * | errorString (PyObject *self, PyObject *args)
PyObject * | setVerbosity (PyObject *self, PyObject *args)
PyObject * | setEpochPromote (PyObject *self, PyObject *args)
void | initrpm (void)
PyObject * | errorCB = NULL
PyObject * | errorData = NULL
PyMethodDef | rpmModuleMethods []
char | rpm__doc__ []
## Defines
#define | REGISTER_ENUM(val)

## Detailed Description

Definition in file rpmmodule.c.

## Define Documentation

#define REGISTER_ENUM | ( | val |  | ) |

| Value:
    PyDict_SetItemString(d, #val, o=PyInt_FromLong( val )); \
        Py_DECREF(o);